summaryrefslogtreecommitdiff
path: root/tests/priv-check
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/priv-check
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/priv-check')
-rw-r--r--tests/priv-check8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/priv-check b/tests/priv-check
index 829a2cf37..6de80fe50 100644
--- a/tests/priv-check
+++ b/tests/priv-check
@@ -13,14 +13,14 @@ esac
my_uid=`id -u`
test $? = 0 || {
echo "$0: cannot run \`id -u'" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
}
# Make sure it gives valid output.
case $my_uid in
*[!0-9]*)
echo "$0: invalid output (\`$my_uid') from \`id -u'" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
;;
*) ;;
esac
@@ -58,7 +58,7 @@ case $PRIV_CHECK_ARG:$my_uid in
{
echo "$0: `pwd`: not writable by user \`$NON_ROOT_USERNAME'" 1>&2
echo "$0: skipping this test" 1>&2
- (exit 77); exit
+ (exit 77); exit 77
}
exec setuidgid $NON_ROOT_USERNAME env PATH="$PATH" $0
;;
@@ -73,5 +73,5 @@ $0: This test is being skipped, since it works only
when run $who.
***************************
EOF
- (exit 77); exit
+ (exit 77); exit 77
}